python-markupsafe_1.0-1build1_amd64.deb


Advertisement

Description

python-markupsafe - HTML/XHTML/XML string library for Python

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name python-markupsafe
Package version 1.0
Package release 1build1
Package architecture amd64
Package type deb
Installed size 55 B
Download size 12.73 KB
Official Mirror archive.ubuntu.com
MarkupSafe is a Python library implementing a unicode subclass that is
aware of HTML escaping rules. It can be used to implement automatic
string escaping.

Alternatives

Package Version Architecture Repository
python-markupsafe_1.0-1build1_i386.deb 1.0 i386 Ubuntu Main
python-markupsafe - - -

Requires

Name Value
libc6 >= 2.14
python << 2.8
python >= 2.7~
python:any >= 2.7.5-5~
python:any << 2.8

Provides

Name Value
python2.7-markupsafe -

Download

Type URL
Binary Package python-markupsafe_1.0-1build1_amd64.deb
Source Package markupsafe

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-markupsafe deb package:
    # sudo apt-get install python-markupsafe

Files

Path
/usr/lib/python2.7/dist-packages/MarkupSafe-1.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/MarkupSafe-1.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/MarkupSafe-1.0.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/MarkupSafe-1.0.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/markupsafe/__init__.py
/usr/lib/python2.7/dist-packages/markupsafe/_compat.py
/usr/lib/python2.7/dist-packages/markupsafe/_constants.py
/usr/lib/python2.7/dist-packages/markupsafe/_native.py
/usr/lib/python2.7/dist-packages/markupsafe/_speedups.x86_64-linux-gnu.so
/usr/share/doc/python-markupsafe/changelog.Debian.gz
/usr/share/doc/python-markupsafe/copyright

Changelog

2017-08-04 - Michael Hudson-Doyle <michael.hudson@ubuntu.com>
markupsafe (1.0-1build1) artful; urgency=medium
* No change rebuild to drop Python 3.5 support.
2017-06-20 - Piotr Ożarowski <piotr@debian.org>
markupsafe (1.0-1) unstable; urgency=medium
* New upstream release
* Standards-Version bumped to 4.0.0 (no changes needed)
2016-11-06 - Piotr Ożarowski <piotr@debian.org>
markupsafe (0.23-3) unstable; urgency=medium
[ Piotr Ożarowski ]
* Add dh-python to Build-Depends
* dh_builddeb now uses the default compression (xz) instead of bzip2
(closes: #833218)
* Standards-Version bumped to 3.9.8 (no changes needed)
[ Ondřej Nový ]
* Fixed homepage (https)
* Fixed VCS URL (https)
2015-06-29 - Barry Warsaw <barry@debian.org>
markupsafe (0.23-2) unstable; urgency=medium
* Team upload.
* d/control: Bump Standards-Version with no other changes necessary.
* d/watch: Use pypi.debian.net redirector.
2014-05-12 - Piotr Ożarowski <piotr@debian.org>
markupsafe (0.23-1) unstable; urgency=medium
* New upstream release
2014-05-05 - Piotr Ożarowski <piotr@debian.org>
markupsafe (0.21-1) unstable; urgency=medium
* New upstream release
2014-03-06 - Piotr Ożarowski <piotr@debian.org>
markupsafe (0.19-1) unstable; urgency=medium
* New upstream release
--with-speedups removed from debian/rules (it's enabled by default now)
* Standards-Version bumped to 3.9.5 (no changes needed)
2013-08-20 - Piotr Ożarowski <piotr@debian.org>
markupsafe (0.18-1) unstable; urgency=low
[ Jakub Wilk ]
* Use canonical URIs for Vcs-* fields.
[ Piotr Ożarowski ]
* New upstream release
- minimum required Python 3 version bumped to 3.3, python3-all-dev bumped
to 3.3.0-3~ to generate versioned py3compile maintainer script
* Harden extension (debian/rules updated to export hardening build flags)
* Standards-Version bumped to 3.9.4
- add build-indep and build-arch targets in debian/rules
* debian/compat bumped to 9
* Package descriptions updated (thanks to Martin Eberhard Schauer and
Justin B Rye, closes: #682835)
2011-07-20 - Piotr Ożarowski <piotr@debian.org>
markupsafe (0.15-1) unstable; urgency=low
* New upstream release
* Standards-Version bumped to 3.9.2 (no changes needed)
2011-02-18 - Piotr Ożarowski <piotr@debian.org>
markupsafe (0.12-1) unstable; urgency=low
* New upstream release

See Also

Package Description
python-memcache_1.57-2_all.deb pure Python memcached client
python-microversion-parse-doc_0.1.4-2_all.deb OpenStack microversion header parsing library - doc
python-microversion-parse_0.1.4-2_all.deb OpenStack microversion header parsing library - Python 2.7
python-migrate-doc_0.11.0-2_all.deb Database schema migration for SQLAlchemy - doc
python-migrate_0.11.0-2_all.deb Database schema migration for SQLAlchemy - Python 2.7
python-mimeparse_0.1.4-3.1_all.deb Parse mime-types and quality parameters - python 2.x
python-minimal_2.7.15~rc1-1_amd64.deb minimal subset of the Python language (default version)
python-mistralclient_3.3.0-0ubuntu1_all.deb OpenStack Workflow as a Service client - Python 2.7
python-mock-doc_2.0.0-3_all.deb Mocking and Testing Library (Documentation)
python-mock_2.0.0-3_all.deb Mocking and Testing Library
python-moinmoin_1.9.9-1ubuntu1_all.deb Python clone of WikiWiki - library
python-monascaclient_1.10.0-0ubuntu1_all.deb client bindings for the Monasca API - Python 2.7
python-monotonic_1.1-2_all.deb implementation of time.monotonic() - Python 2.x
python-msgpack_0.5.6-1_amd64.deb Python implementation of MessagePack format
python-munch_2.2.0-1ubuntu2_all.deb dot-accessible dictionary similar to JavaScript objects - Python 2.7
Advertisement
Advertisement